Index: /branches/proxy/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- /branches/proxy/src/lib/collision_detection/aabb_tree_node.cc	(revision 9370)
+++ /branches/proxy/src/lib/collision_detection/aabb_tree_node.cc	(revision 9371)
@@ -262,6 +262,4 @@
     const int* triangleIndexes, int length)
 {
-
-  Vector         axis[3];                            //!< the references to the obb axis
   Matrix         covMat(  box.covarianceMatrix  );   //!< covariance matrix (in the matrix dataform)
 
@@ -501,5 +499,5 @@
   if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
-    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
+    PRINTF(5)("collision @ lvl %i, object %s::%s vs. %s::%s, (%p, %p)\n", this->depth, nodeA->getClassCName(), nodeA->getCName(), nodeB->getClassCName(), nodeA->getCName(), this->nodeLeft, this->nodeRight);
 
 
Index: /branches/proxy/src/lib/collision_detection/cd_engine.cc
===================================================================
--- /branches/proxy/src/lib/collision_detection/cd_engine.cc	(revision 9370)
+++ /branches/proxy/src/lib/collision_detection/cd_engine.cc	(revision 9371)
@@ -45,5 +45,5 @@
 
   this->bAbordOnFirstCollision = false;
-  
+
   this->terrain = NULL;
 }
@@ -86,5 +86,6 @@
         if( likely((*entity2) != this->terrain))
         {
-          PRINTF(5)("checking object %s (%s) against %s (%s)\n", (*entity1)->getClassName(), (*entity1)->getName(), (*entity2)->getClassName(), (*entity2)->getName());
+          PRINTF(5)("checking object %s (%s) against %s (%s)\n",
+            (*entity1)->getClassCName(), (*entity1)->getCName(), (*entity2)->getClassCName(), (*entity2)->getCName());
           tree = (*entity1)->getOBBTree();
           if( likely(tree != NULL) && (*entity2)->getOBBTree() != NULL)
Index: /branches/proxy/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /branches/proxy/src/lib/collision_detection/obb_tree_node.cc	(revision 9370)
+++ /branches/proxy/src/lib/collision_detection/obb_tree_node.cc	(revision 9371)
@@ -505,5 +505,5 @@
   if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
-    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
+    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassCName(), nodeB->getClassCName(), this->nodeLeft, this->nodeRight);
 
 
@@ -807,5 +807,5 @@
       if( this->obbTree->getOwner() != NULL)
       {
-        PRINTF(4)("debug poly draw: depth: %i, mode: %i, entity-name: %s, class: %s\n", depth, drawMode, this->obbTree->getOwner()->getName(), this->obbTree->getOwner()->getClassName());
+        PRINTF(4)("debug poly draw: depth: %i, mode: %i, entity-name: %s, class: %s\n", depth, drawMode, this->obbTree->getOwner()->getCName(), this->obbTree->getOwner()->getClassCName());
       }
       else
Index: /branches/proxy/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- /branches/proxy/src/lib/collision_reaction/collision_handle.cc	(revision 9370)
+++ /branches/proxy/src/lib/collision_reaction/collision_handle.cc	(revision 9371)
@@ -178,5 +178,5 @@
 
  c->registerCollisionEvent(collisionEvent);
- PRINTF(5)("Registering Collision Event: %s, %s\n", collisionEvent->getEntityA()->getClassName(), collisionEvent->getEntityB()->getClassName());
+ PRINTF(5)("Registering Collision Event: %s, %s\n", collisionEvent->getEntityA()->getClassCName(), collisionEvent->getEntityB()->getClassCName());
 }
 
@@ -254,12 +254,12 @@
     if( collisionEvent->getEntityA() == this->owner) {
       if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-                  collisionEvent->getEntityB()->getClassName(), *it);
+        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+                  collisionEvent->getEntityB()->getClassCName(), *it);
         return true; }
     }
     else {
       if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-                  collisionEvent->getEntityA()->getClassName(), *it);
+        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+                  collisionEvent->getEntityA()->getClassCName(), *it);
       return true; }
     }
Index: /branches/proxy/src/lib/collision_reaction/cr_object_damage.cc
===================================================================
--- /branches/proxy/src/lib/collision_reaction/cr_object_damage.cc	(revision 9370)
+++ /branches/proxy/src/lib/collision_reaction/cr_object_damage.cc	(revision 9371)
@@ -57,6 +57,6 @@
 
   PRINTF(4)("Dealing damage - Handling collision: %s vs %s\n",
-            collision->getEntityA()->getClassName(),
-            collision->getEntityB()->getClassName());
+            collision->getEntityA()->getClassCName(),
+            collision->getEntityB()->getClassCName());
 
   // the collision damage been dealed by the entity
@@ -64,5 +64,5 @@
     damage = collision->getEntityB()->getDamage();
     collision->getEntityA()->hit(damage, collision->getEntityB());
-    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityA()->getClassName());
+    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityA()->getClassCName());
   }
 
@@ -70,5 +70,5 @@
     damage = collision->getEntityA()->getDamage();
     collision->getEntityB()->hit(damage, collision->getEntityA());
-    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityB()->getClassName());
+    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityB()->getClassCName());
   }
 
Index: /branches/proxy/src/lib/coord/p_node.cc
===================================================================
--- /branches/proxy/src/lib/coord/p_node.cc	(revision 9370)
+++ /branches/proxy/src/lib/coord/p_node.cc	(revision 9371)
@@ -77,5 +77,5 @@
 PNode::~PNode ()
 {
-  PRINTF(4)("delete %s::%s\n", this->getClassName(), this->getName());
+  PRINTF(4)("delete %s::%s\n", this->getClassCName(), this->getCName());
   // remove the Node, delete it's children (if required).
   std::list<PNode*>::iterator deleteNode;
@@ -91,6 +91,6 @@
       {
         PRINTF(4)("%s::%s deletes %s::%s\n",
-                  this->getClassName(), this->getName(),
-                  (*deleteNode)->getClassName(), (*deleteNode)->getName());
+                  this->getClassCName(), this->getCName(),
+                  (*deleteNode)->getClassCName(), (*deleteNode)->getCName());
         delete (*deleteNode);
       }
@@ -98,6 +98,6 @@
       {
         PRINTF(4)("%s::%s reparents %s::%s\n",
-                  this->getClassName(), this->getName(),
-                  (*deleteNode)->getClassName(), (*deleteNode)->getName());
+                  this->getClassCName(), this->getCName(),
+                  (*deleteNode)->getClassCName(), (*deleteNode)->getCName());
         (*deleteNode)->reparent();
       }
@@ -106,6 +106,6 @@
     {
       PRINTF(4)("%s::%s deletes PNode: %s::%s\n",
-                this->getClassName(), this->getName(),
-                (*deleteNode)->getClassName(), (*deleteNode)->getName());
+                this->getClassCName(), this->getCName(),
+                (*deleteNode)->getClassCName(), (*deleteNode)->getCName());
       delete (*deleteNode);
     }
@@ -509,5 +509,5 @@
   {
     PRINTF(1)("Tried to reparent to own child '%s::%s' to '%s::%s'.\n",
-              this->getClassName(), this->getName(), child->getClassName(), child->getName());
+              this->getClassCName(), this->getCName(), child->getClassCName(), child->getCName());
     child->parent = NULL;
     child->parentCoorChanged();
@@ -519,10 +519,10 @@
 {
   PNode* tmpNode = node->parent;
-  printf("entering seek PNode loop for name: %s, uid: %i\n", node->getName(), node->getUniqueID());
+  printf("entering seek PNode loop for name: %s, uid: %i\n", node->getCName(), node->getUniqueID());
   if(tmpNode)
-    printf("  @node name: %s, uid: %d\n", tmpNode->getName(), tmpNode->getUniqueID());
+    printf("  @node name: %s, uid: %d\n", tmpNode->getCName(), tmpNode->getUniqueID());
   while( tmpNode != NULL && tmpNode->getUniqueID() == NET_UID_UNASSIGNED)
   {
-    printf("  @node name: %s, uid: %d\n", tmpNode->getName(), tmpNode->getUniqueID());
+    printf("  @node name: %s, uid: %d\n", tmpNode->getCName(), tmpNode->getUniqueID());
     tmpNode = tmpNode->parent;
   }
@@ -604,7 +604,7 @@
         (*reparenter)->parentMode & PNODE_REPARENT_ON_PARENTS_REMOVE)
     {
-      printf("TEST----------------%s ---- %s\n", this->getClassName(), (*reparenter)->getClassName());
+      printf("TEST----------------%s ---- %s\n", this->getClassCName(), (*reparenter)->getClassCName());
       (*reparenter)->reparent();
-      printf("REPARENTED TO: %s::%s\n",(*reparenter)->getParent()->getClassName(),(*reparenter)->getParent()->getName());
+      printf("REPARENTED TO: %s::%s\n",(*reparenter)->getParent()->getClassCName(),(*reparenter)->getParent()->getCName());
     }
   }
@@ -628,5 +628,5 @@
   else
     PRINTF(2)("Not Found PNode's (%s::%s) new Parent by Name: %s\n",
-        this->getClassName(), this->getName(), parentName.c_str());
+        this->getClassCName(), this->getCName(), parentName.c_str());
 }
 
@@ -785,5 +785,5 @@
           delete this->toCoordinate;
           this->toCoordinate = NULL;
-          PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+          PRINTF(5)("SmoothMove of %s finished\n", this->getCName());
         }
       }
@@ -804,5 +804,5 @@
           delete this->toDirection;
           this->toDirection = NULL;
-          PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+          PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
           this->bRelDirChanged = true;
         }
@@ -812,5 +812,5 @@
       this->lastAbsCoordinate = this->absCoordinate;
 
-      PRINTF(5)("PNode::update - '%s::%s' - (%f, %f, %f)\n", this->getClassName(), this->getName(),
+      PRINTF(5)("PNode::update - '%s::%s' - (%f, %f, %f)\n", this->getClassCName(), this->getCName(),
                 this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
 
@@ -840,5 +840,5 @@
     else // Nodes without a Parent are handled faster :: MOST LIKELY THE NULLPARENT
     {
-      PRINTF(4)("update ParentLess Node (%s::%s) - (%f, %f, %f)\n", this->getClassName(), this->getName(),
+      PRINTF(4)("update ParentLess Node (%s::%s) - (%f, %f, %f)\n", this->getClassCName(), this->getCName(),
                 this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
       if (this->bRelCoorChanged)
@@ -913,6 +913,6 @@
 
   PRINT(0)("PNode(%s::%s) - absCoord: (%0.2f, %0.2f, %0.2f), relCoord(%0.2f, %0.2f, %0.2f), direction(%0.2f, %0.2f, %0.2f) - %s - %d childs\n",
-           this->getClassName(),
-           this->getName(),
+           this->getClassCName(),
+           this->getCName(),
            this->absCoordinate.x,
            this->absCoordinate.y,
@@ -1090,5 +1090,5 @@
 {
   Synchronizeable::varChangeHandler( id );
-  
+
   if ( std::find( id.begin(), id.end(), relCoordinate_handle ) != id.end() )
   {
Index: /branches/proxy/src/lib/event/event_handler.cc
===================================================================
--- /branches/proxy/src/lib/event/event_handler.cc	(revision 9370)
+++ /branches/proxy/src/lib/event/event_handler.cc	(revision 9371)
@@ -207,5 +207,5 @@
       else
       {
-        PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassName(), el->getName(), i, eventType);
+        PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassCName(), el->getCName(), i, eventType);
       }
   }
@@ -216,5 +216,5 @@
     else
     {
-      PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassName(), el->getName(), state, eventType);
+      PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassCName(), el->getCName(), state, eventType);
     }
   }
@@ -463,5 +463,10 @@
   {
     PRINT(4)("=  Event dispatcher msg: This event has been consumed\n");
-    PRINT(4)("=  Got Event nr %i, for state %i (%d registered) to %s::%s(%p)\n", event.type, i, state, this->listeners[state][event.type][i]->getClassName(), this->listeners[state][event.type][i]->getName(), this->listeners[state][event.type][i]);
+    PRINT(4)("=  Got Event nr %i, for state %i (%d registered) to %s::%s(%p)\n",
+      event.type,
+      i, state,
+      this->listeners[state][event.type][i]->getClassCName(),
+      this->listeners[state][event.type][i]->getCName(),
+      this->listeners[state][event.type][i]);
     PRINT(4)("=======================================================\n");
     this->listeners[state][event.type][i]->process(event);
@@ -563,5 +568,5 @@
         EVToKeyName(j).c_str(), j,
         ELStateToString((elState)i).c_str(), i,
-        this->listeners[i][j][evl]->getName(), this->listeners[i][j][evl]);
+        this->listeners[i][j][evl]->getCName(), this->listeners[i][j][evl]);
   }
   PRINT(0)("============================EH=\n");
Index: /branches/proxy/src/lib/graphics/importer/material.cc
===================================================================
--- /branches/proxy/src/lib/graphics/importer/material.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/importer/material.cc	(revision 9371)
@@ -88,5 +88,5 @@
 Material::~Material()
 {
-  PRINTF(5)("delete Material %s.\n", this->getName());
+  PRINTF(5)("delete Material %s.\n", this->getCName());
 
   if (this->ambientTexture != NULL)
@@ -217,5 +217,5 @@
 void Material::setIllum (int illum)
 {
-  PRINTF(4)("setting illumModel of Material %s to %i\n", this->getName(), illum);
+  PRINTF(4)("setting illumModel of Material %s to %i\n", this->getCName(), illum);
   this->illumModel = illum;
 }
@@ -229,5 +229,5 @@
 void Material::setDiffuse (float r, float g, float b)
 {
-  PRINTF(4)("setting Diffuse Color of Material %s to r=%f g=%f b=%f.\n", this->getName(), r, g, b);
+  PRINTF(4)("setting Diffuse Color of Material %s to r=%f g=%f b=%f.\n", this->getCName(), r, g, b);
   this->diffuse = Color(r, g, b, this->diffuse.a() );
 }
@@ -242,5 +242,5 @@
 void Material::setAmbient (float r, float g, float b)
 {
-  PRINTF(4)("setting Ambient Color of Material %s to r=%f g=%f b=%f.\n", this->getName(), r, g, b);
+  PRINTF(4)("setting Ambient Color of Material %s to r=%f g=%f b=%f.\n", this->getCName(), r, g, b);
   this->ambient = Color(r, g, b, 1.0);
 }
@@ -254,5 +254,5 @@
 void Material::setSpecular (float r, float g, float b)
 {
-  PRINTF(4)("setting Specular Color of Material %s to r=%f g=%f b=%f.\n", this->getName(), r, g, b);
+  PRINTF(4)("setting Specular Color of Material %s to r=%f g=%f b=%f.\n", this->getCName(), r, g, b);
   this->specular = Color (r, g, b, 1.0);
 }
@@ -273,5 +273,5 @@
 void Material::setTransparency (float trans)
 {
-  PRINTF(4)("setting Transparency of Material %s to %f.\n", this->getName(), trans);
+  PRINTF(4)("setting Transparency of Material %s to %f.\n", this->getCName(), trans);
   this->diffuse.a() = trans;
 }
@@ -455,5 +455,5 @@
 void Material::debug() const
 {
-  PRINT(0)("Debug Material: %s\n", this->getName());
+  PRINT(0)("Debug Material: %s\n", this->getCName());
   PRINT(0)("illumModel: %d ; ShiniNess %f\n", this->illumModel, shininess);
   PRINT(0)("diffuseColor: "); diffuse.debug();
Index: /branches/proxy/src/lib/graphics/importer/static_model.cc
===================================================================
--- /branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9371)
@@ -161,7 +161,7 @@
 {
   PRINTF(4)("Deleting Model ");
-  if (this->getName())
-  {
-    PRINT(4)("%s\n", this->getName());
+  if (!this->getName().empty())
+  {
+    PRINT(4)("%s\n", this->getCName());
   }
   else
@@ -214,5 +214,5 @@
 void StaticModel::rebuild()
 {
-  PRINTF(3)("Rebuilding Model '%s'\n", this->getName());
+  PRINTF(3)("Rebuilding Model '%s'\n", this->getCName());
   this->finalize();
 }
@@ -266,5 +266,5 @@
     tmpGroup = tmpGroup->next;
   }
-  PRINTF(2)("Model number %i in %s not Found.\n", groupNumber, this->getName());
+  PRINTF(2)("Model number %i in %s not Found.\n", groupNumber, this->getCName());
   return;
 }
@@ -291,5 +291,5 @@
     tmpGroup = tmpGroup->next;
   }
-  PRINTF(2)("Model Named %s in %s not Found.\n", groupName.c_str(), this->getName());
+  PRINTF(2)("Model Named %s in %s not Found.\n", groupName.c_str(), this->getCName());
   return;
 }
@@ -748,5 +748,5 @@
         {
           tmpFace->material->select();
-          PRINTF(5)("using material %s for coming Faces.\n", tmpFace->material->getName());
+          PRINTF(5)("using material %s for coming Faces.\n", tmpFace->material->getCName());
         }
       }
@@ -840,5 +840,5 @@
       else if( tmpFace->vertexCount > 4) {
         if (!warned)        {
-          PRINTF(2)("This model (%s) got over 4 vertices per face <=> conflicts in the CD engine!\n", this->getName());
+          PRINTF(2)("This model (%s) got over 4 vertices per face <=> conflicts in the CD engine!\n", this->getCName());
           warned = true;
         }
Index: /branches/proxy/src/lib/graphics/importer/texture.cc
===================================================================
--- /branches/proxy/src/lib/graphics/importer/texture.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/importer/texture.cc	(revision 9371)
@@ -230,5 +230,5 @@
   if (this->data->getStoredImage() != NULL)
   {
-    PRINTF(3)("Reloading Texture of %s '%s'\n", this->getClassName(), this->getName());
+    PRINTF(3)("Reloading Texture of %s '%s'\n", this->getClassCName(), this->getCName());
     this->setTexture(Texture::loadTexToGL(this->data->getStoredImage()));
   }
Index: /branches/proxy/src/lib/graphics/importer/texture_sequence.cc
===================================================================
--- /branches/proxy/src/lib/graphics/importer/texture_sequence.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/importer/texture_sequence.cc	(revision 9371)
@@ -225,5 +225,5 @@
 bool TextureSequence::rebuild()
 {
-  PRINTF(3)("Reloading TextureSequence of %s '%s'\n", this->getClassName(), this->getName());
+  PRINTF(3)("Reloading TextureSequence of %s '%s'\n", this->getClassCName(), this->getCName());
 
   for (unsigned int i = 0; i < this->textures.size(); i++)
Index: /branches/proxy/src/lib/graphics/importer/vertex_array_model.cc
===================================================================
--- /branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9371)
@@ -116,5 +116,5 @@
 VertexArrayModel::~VertexArrayModel()
 {
-  PRINTF(4)("Deleting VertexArrayModel %s\n", this->getName());
+  PRINTF(4)("Deleting VertexArrayModel %s\n", this->getCName());
 }
 
@@ -127,5 +127,5 @@
 void VertexArrayModel::draw() const
 {
-  PRINTF(4)("drawing 3D-VertexArrayModel %s\n", this->getName());
+  PRINTF(4)("drawing 3D-VertexArrayModel %s\n", this->getCName());
   glEnableClientState(GL_VERTEX_ARRAY );
   glEnableClientState(GL_TEXTURE_COORD_ARRAY );
@@ -343,5 +343,5 @@
 void VertexArrayModel::debug() const
 {
-  PRINT(0)("VertexArrayModel (%s): debug\n", this->getName());
+  PRINT(0)("VertexArrayModel (%s): debug\n", this->getCName());
   PRINT(0)("Stripes: %d; Indices: %d; Vertices: %d; Normals %d; TextCoords %d; Colors %d\n",
             this->stripes.size(),
Index: /branches/proxy/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- /branches/proxy/src/lib/graphics/render2D/element_2d.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/render2D/element_2d.cc	(revision 9371)
@@ -214,7 +214,7 @@
   {
     PRINTF(2)("Unable to set %s to layer %s, because it's parent(%s) is of higher layer %s\n",
-              this->getName(),
+              this->getCName(),
               Element2D::layer2DToChar(layer),
-              this->parent->getName(),
+              this->parent->getCName(),
               Element2D::layer2DToChar(this->parent->getLayer()));
     layer = this->parent->getLayer();
@@ -602,6 +602,6 @@
       {
         PRINTF(2)("Layer '%s' of Child(%s::%s) lower than parents(%s::%s) layer '%s'. updating...\n",
-                  Element2D::layer2DToChar(child->getLayer()),child->getClassName(), child->getName(),
-                  this->getClassName(), this->getName(), Element2D::layer2DToChar(this->layer));
+                  Element2D::layer2DToChar(child->getLayer()),child->getClassCName(), child->getCName(),
+                  this->getClassCName(), this->getCName(), Element2D::layer2DToChar(this->layer));
         child->layer = this->layer;
         this->children.push_front(child);
@@ -627,5 +627,5 @@
     {
       PRINTF(1)("Tried to reparent2D to own child '%s::%s' to '%s::%s'.\n",
-                this->getClassName(), this->getName(), child->getClassName(), child->getName());
+                this->getClassCName(), this->getCName(), child->getClassCName(), child->getCName());
       child->parent = NULL;
     }
@@ -701,5 +701,5 @@
     {
       (*reparenter)->reparent2D();
-      PRINTF(5)("REPARENTED TO: %s::%s\n",(*reparenter)->getParent2D()->getClassName(),(*reparenter)->getParent2D()->getName());
+      PRINTF(5)("REPARENTED TO: %s::%s\n",(*reparenter)->getParent2D()->getClassCName(),(*reparenter)->getParent2D()->getCName());
     }
   }
@@ -723,5 +723,5 @@
   else
     PRINTF(2)("Not Found Element2D's (%s::%s) new Parent by Name: %s\n",
-              this->getClassName(), this->getName(), parentName.c_str());
+              this->getClassCName(), this->getCName(), parentName.c_str());
 }
 
@@ -865,5 +865,5 @@
         Vector2D tmp = *this->toCoordinate;
         this->setRelCoor2D(tmp);
-        PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+        PRINTF(5)("SmoothMove of %s finished\n", this->getCName());
       }
     }
@@ -879,5 +879,5 @@
         float tmp = *this->toDirection;
         this->setRelDir2D(tmp);
-        PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+        PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
       }
     }
@@ -893,5 +893,5 @@
         delete this->toSize;
         this->toSize = NULL;
-        PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+        PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
       }
     }
@@ -900,5 +900,5 @@
     this->lastAbsCoordinate = this->absCoordinate;
 
-    PRINTF(5)("Element2D::update - %s - (%f, %f)\n", this->getName(), this->absCoordinate.x, this->absCoordinate.y);
+    PRINTF(5)("Element2D::update - %s - (%f, %f)\n", this->getCName(), this->absCoordinate.x, this->absCoordinate.y);
 
 
@@ -1026,6 +1026,6 @@
     PRINT(0)(" -");
   PRINT(0)("E2D(%s::%s);AC:(%0.2f, %0.2f);RC:(%0.2f, %0.2f);AD(%0.2f)->%s;Layer:(%s)\n",
-           this->getClassName(),
-           this->getName(),
+           this->getClassCName(),
+           this->getCName(),
            this->absCoordinate.x,
            this->absCoordinate.y,
Index: /branches/proxy/src/lib/graphics/text_engine/limited_width_text.cc
===================================================================
--- /branches/proxy/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9371)
@@ -160,4 +160,4 @@
 void LimitedWidthText::debug() const
 {
-  printf("Debug %s::%s \n", this->getClassName(), this->getName() );
+  printf("Debug %s::%s \n", this->getClassCName(), this->getCName() );
 }
Index: /branches/proxy/src/lib/graphics/text_engine/multi_line_text.cc
===================================================================
--- /branches/proxy/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9371)
@@ -152,5 +152,5 @@
 void MultiLineText::debug() const
 {
- printf("Debug %s::%s: %d lines\n", this->getClassName(), this->getName(), this->getLineCount());
+ printf("Debug %s::%s: %d lines\n", this->getClassCName(), this->getCName(), this->getLineCount());
 
  std::string tmpText = this->text();
Index: /branches/proxy/src/lib/graphics/text_engine/text.cc
===================================================================
--- /branches/proxy/src/lib/graphics/text_engine/text.cc	(revision 9370)
+++ /branches/proxy/src/lib/graphics/text_engine/text.cc	(revision 9371)
@@ -279,5 +279,5 @@
 void Text::debug() const
 {
-  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getName(), this->_font.getName(), this->_text.c_str());
+  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getCName(), this->_font.getCName(), this->_text.c_str());
   //  PRINT(0)("Color: r=%0.2f g=%0.2f b=%0.2f a=%0.2f\n", this->_color.r(), this->_color.g(), this->_color.b(), this->_color.a());
 }
Index: /branches/proxy/src/lib/gui/gl/glgui_frame.cc
===================================================================
--- /branches/proxy/src/lib/gui/gl/glgui_frame.cc	(revision 9370)
+++ /branches/proxy/src/lib/gui/gl/glgui_frame.cc	(revision 9371)
@@ -57,5 +57,5 @@
     else
     {
-      PRINTF(2)("Frame %s is already filled, not filling with %s\n", this->getName(), widget->getName());
+      PRINTF(2)("Frame %s is already filled, not filling with %s\n", this->getCName(), widget->getCName());
     }
   }
Index: /branches/proxy/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- /branches/proxy/src/lib/gui/gl/glgui_widget.cc	(revision 9370)
+++ /branches/proxy/src/lib/gui/gl/glgui_widget.cc	(revision 9371)
@@ -793,5 +793,5 @@
     //this->_currentStyle = this->_style[state];
     this->_state = state;
-    PRINTF(4)("%s::%s Switches to state %s\n", this->getClassName(), this->getName(), OrxGui::StateString[state].c_str());
+    PRINTF(4)("%s::%s Switches to state %s\n", this->getClassCName(), this->getCName(), OrxGui::StateString[state].c_str());
 
     this->animateBack();
@@ -861,7 +861,7 @@
   void GLGuiWidget::debug(unsigned int level) const
   {
-    PRINT(0)("Debug of %s::%s - WidgetPart ", this->getClassName(), this->getName());
+    PRINT(0)("Debug of %s::%s - WidgetPart ", this->getClassCName(), this->getCName());
     if (_parent != NULL)
-      PRINT(0)("- Parent %s::%s ", _parent->getClassName(), _parent->getName());
+      PRINT(0)("- Parent %s::%s ", _parent->getClassCName(), _parent->getCName());
     PRINT(0)("- State: %s", StateString[_state].c_str());
 
Index: /branches/proxy/src/lib/gui/gui_saveable.cc
===================================================================
--- /branches/proxy/src/lib/gui/gui_saveable.cc	(revision 9370)
+++ /branches/proxy/src/lib/gui/gui_saveable.cc	(revision 9371)
@@ -60,12 +60,12 @@
   void Saveable::load()
   {
-    this->value() = Preferences::getInstance()->getMultiType(this->group->getName(), this->getName(), this->_defaultValue);
-    PRINTF(4)("Loaded to '%s' of group '%s' value '%s'\n", this->getName(), this->group->getName(), this->value().getCString());
+    this->value() = Preferences::getInstance()->getMultiType(this->group->getCName(), this->getCName(), this->_defaultValue);
+    PRINTF(4)("Loaded to '%s' of group '%s' value '%s'\n", this->getCName(), this->group->getCName(), this->value().getCString());
   }
 
   void Saveable::save()
   {
-    Preferences::getInstance()->setMultiType(this->group->getName(), this->getName(), this->value() );
-    PRINTF(4)("Saved to '%s' of group '%s' value '%s'\n", this->getName(), this->group->getName(), this->value().getCString());
+    Preferences::getInstance()->setMultiType(this->group->getCName(), this->getCName(), this->value() );
+    PRINTF(4)("Saved to '%s' of group '%s' value '%s'\n", this->getCName(), this->group->getCName(), this->value().getCString());
   }
 
Index: /branches/proxy/src/lib/lang/base_object.h
===================================================================
--- /branches/proxy/src/lib/lang/base_object.h	(revision 9370)
+++ /branches/proxy/src/lib/lang/base_object.h	(revision 9371)
@@ -35,10 +35,14 @@
   void setName (const std::string& newName);
   /** returns the Name of this Object */
-  inline const char* getName ()const { return this->objectName.c_str(); };
+  inline const std::string& getName() const { return this->objectName; };
+  /** returns the Name of this Object as a C-compliant string (const char*) */
+  inline const char* getCName() const { return this->objectName.c_str(); };
   /** @returns the XML-Element with whicht this Object was loaded */
   inline TiXmlNode* getXmlElem() const { return this->xmlElem; };
 
   /** @returns the className of the corresponding Object */
-  inline const char* getClassName() const { return this->className.c_str(); };
+  inline const std::string& getClassName() const { return this->className; }
+  /** @returns the className of the corresponding Object as a C-compliant string (const char*) */
+  inline const char* getClassCName() const { return this->className.c_str(); };
   /** @returns the classID of the corresponding Object */
   inline int getClassID() const { return this->classID; };
Index: /branches/proxy/src/lib/lang/class_list.cc
===================================================================
--- /branches/proxy/src/lib/lang/class_list.cc	(revision 9370)
+++ /branches/proxy/src/lib/lang/class_list.cc	(revision 9371)
@@ -207,5 +207,5 @@
       std::list<BaseObject*>::iterator bo;
       for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-        if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+        if (objectName == (*bo)->getName())
           return (*bo);
     }
@@ -218,5 +218,5 @@
       std::list<BaseObject*>::iterator bo;
       for (bo = (*cl).objectList.begin(); bo != (*cl).objectList.end(); bo++)
-        if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+        if (objectName == (*bo)->getName())
           return (*bo);
     }
@@ -241,5 +241,5 @@
     std::list<BaseObject*>::iterator bo;
     for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-      if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+      if (objectName == (*bo)->getName())
         return (*bo);
   }
@@ -286,5 +286,5 @@
     std::list<BaseObject*>::iterator bo;
     for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-      if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
+      if (objectName == (*bo)->getName())
         return true;
   }
@@ -380,5 +380,5 @@
         for (bo = (*cl).objectList.begin(); bo != (*cl).objectList.end(); bo++)
         {
-          PRINT(0)("|   %s::%s::(0x%.8X->%p ", (*bo)->getClassName(), (*bo)->getName(), (*bo)->getClassID(), (*bo));
+          PRINT(0)("|   %s::%s::(0x%.8X->%p ", (*bo)->getClassCName(), (*bo)->getCName(), (*bo)->getClassID(), (*bo));
           if (debugLevel == 3)
             ClassList::whatIs(*bo);
Index: /branches/proxy/src/lib/network/network_game_manager.cc
===================================================================
--- /branches/proxy/src/lib/network/network_game_manager.cc	(revision 9370)
+++ /branches/proxy/src/lib/network/network_game_manager.cc	(revision 9371)
@@ -288,5 +288,5 @@
       if ( list && std::find( list->begin(), list->end(), *it ) != list->end() )
       {
-        PRINTF(0)("Delete unused playable: %s owner: %d\n", (*it)->getClassName(), (*it)->getOwner() );
+        PRINTF(0)("Delete unused playable: %s owner: %d\n", (*it)->getClassCName(), (*it)->getOwner() );
         std::list<Playable*>::iterator delit = it;
         it++;
Index: /branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- /branches/proxy/src/lib/network/network_stream.cc	(revision 9370)
+++ /branches/proxy/src/lib/network/network_stream.cc	(revision 9371)
@@ -208,5 +208,5 @@
   hs->setPreferedNickName( Preferences::getInstance()->getString( "multiplayer", "nickname", "Player" ) );
 
-  PRINTF(0)("NetworkStream: Handshake created: %s\n", hs->getName());
+  PRINTF(0)("NetworkStream: Handshake created: %s\n", hs->getCName());
 }
 
@@ -447,5 +447,5 @@
   {
     if( (*it)->beSynchronized() == true)
-      PRINT(0)("  Synchronizeable of class: %s::%s, with unique ID: %i, Synchronize: %i\n", (*it)->getClassName(), (*it)->getName(),
+      PRINT(0)("  Synchronizeable of class: %s::%s, with unique ID: %i, Synchronize: %i\n", (*it)->getClassCName(), (*it)->getCName(),
                (*it)->getUniqueID(), (*it)->beSynchronized());
   }
@@ -850,5 +850,5 @@
             sync->setSynchronized(true);
 
-            PRINTF(0)("Fabricated %s with id %d\n", sync->getClassName(), sync->getUniqueID());
+            PRINTF(0)("Fabricated %s with id %d\n", sync->getClassCName(), sync->getUniqueID());
           }
           else
Index: /branches/proxy/src/lib/network/synchronizeable.cc
===================================================================
--- /branches/proxy/src/lib/network/synchronizeable.cc	(revision 9370)
+++ /branches/proxy/src/lib/network/synchronizeable.cc	(revision 9371)
@@ -229,5 +229,5 @@
   if ( i != neededSize )
   {
-    PRINTF(0)("strange error: (%s) %d != %d\n", this->getClassName(), i, neededSize);
+    PRINTF(0)("strange error: (%s) %d != %d\n", this->getClassCName(), i, neededSize);
     assert(false);
   }
Index: /branches/proxy/src/lib/particles/model_particles.cc
===================================================================
--- /branches/proxy/src/lib/particles/model_particles.cc	(revision 9370)
+++ /branches/proxy/src/lib/particles/model_particles.cc	(revision 9371)
@@ -136,5 +136,5 @@
     }
   else
-    PRINTF(2)("no model loaded onto ParticleSystem-%s\n", this->getName());
+    PRINTF(2)("no model loaded onto ParticleSystem-%s\n", this->getCName());
   glPopAttrib();
 }
Index: /branches/proxy/src/lib/particles/particle_emitter.cc
===================================================================
--- /branches/proxy/src/lib/particles/particle_emitter.cc	(revision 9370)
+++ /branches/proxy/src/lib/particles/particle_emitter.cc	(revision 9371)
@@ -198,5 +198,5 @@
 void ParticleEmitter::debug() const
 {
-  PRINT(0)(" ParticleEmitter %s::%s\n", this->getClassName(), this->getName());
+  PRINT(0)(" ParticleEmitter %s::%s\n", this->getClassCName(), this->getCName());
   PRINT(0)("  EmissionRate: %f, Speed: %f, SpreadAngle: %f\n", this->getEmissionRate(), this->getEmissionVelocity(), this->getSpread());
 }
Index: /branches/proxy/src/lib/particles/particle_system.cc
===================================================================
--- /branches/proxy/src/lib/particles/particle_system.cc	(revision 9370)
+++ /branches/proxy/src/lib/particles/particle_system.cc	(revision 9371)
@@ -139,5 +139,5 @@
       {
         PRINTF(2)("Tried to load an Element of type '%s' that should be a ParticleEmitter onto '%s::%s'.\n",
-                  emitter->getClassName(), this->getClassName(), this->getName());
+                  emitter->getClassCName(), this->getClassCName(), this->getCName());
         delete emitter;
       }
@@ -145,5 +145,5 @@
     else
     {
-      PRINTF(2)("Could not Generate Emitter for system %s::%s (wrong type in XML-format)\n", this->getClassName(), getName());
+      PRINTF(2)("Could not Generate Emitter for system %s::%s (wrong type in XML-format)\n", this->getClassCName(), getCName());
     }
   }
@@ -157,5 +157,5 @@
 {
   this->maxCount = maxCount;
-  PRINTF(4)("MAXCOUNT of %s::%s is %d\n", this->getClassName(), this->getName(),maxCount);
+  PRINTF(4)("MAXCOUNT of %s::%s is %d\n", this->getClassCName(), this->getCName(), maxCount);
 }
 
@@ -170,5 +170,5 @@
   this->lifeSpan = lifeSpan;
   this->randomLifeSpan = randomLifeSpan;
-  PRINTF(4)("LifeTime of %s::%s is %f\n", this->getClassName(), this->getName(), lifeSpan);
+  PRINTF(4)("LifeTime of %s::%s is %f\n", this->getClassCName(), this->getCName(), lifeSpan);
 }
 
@@ -188,5 +188,5 @@
     this->conserve = conserve;
 
-  PRINTF(4)("Conserve of %s::%s is %f\n", this->getClassName(), this->getName(),conserve);
+  PRINTF(4)("Conserve of %s::%s is %f\n", this->getClassCName(), this->getCName(), conserve);
 }
 
@@ -206,5 +206,5 @@
 
   PRINTF(4)("Radius of %s::%s at timeSlice %f is %f with a Random of %f\n",
-    this->getClassName(), this->getName(),lifeCycleTime, radius, randRadius);
+    this->getClassCName(), this->getCName(), lifeCycleTime, radius, randRadius);
 }
 
@@ -237,5 +237,5 @@
 
   PRINTF(4)("Color of %s::%s on timeslice %f is r:%f g:%f b:%f a:%f\n",
-    this->getClassName(), this->getName(), lifeCycleTime, red, green, blue, alpha);
+    this->getClassCName(), this->getCName(), lifeCycleTime, red, green, blue, alpha);
 }
 
@@ -278,5 +278,5 @@
     (*emitter)->updateNode(.1), (*emitter)->updateNode(.1);
 
-  PRINTF(4)("Precaching %s::%s %d seconds %d timesPerSecond\n", this->getClassName(), this->getName(), seconds, ticksPerSecond);
+  PRINTF(4)("Precaching %s::%s %d seconds %d timesPerSecond\n", this->getClassCName(), this->getCName(), seconds, ticksPerSecond);
   for (unsigned int i = 0; i < seconds*ticksPerSecond; i++)
     this->tick(1.0/(float)ticksPerSecond);
Index: /branches/proxy/src/lib/physics/physics_connection.cc
===================================================================
--- /branches/proxy/src/lib/physics/physics_connection.cc	(revision 9370)
+++ /branches/proxy/src/lib/physics/physics_connection.cc	(revision 9371)
@@ -81,5 +81,5 @@
   }
   else
-    PRINTF(5)("subject::%s\n", this->subject->getName());
+    PRINTF(5)("subject::%s\n", this->subject->getCName());
 }
 
@@ -95,5 +95,5 @@
   }
   else
-    PRINTF(5)("field::%s\n", this->field->getName());
+    PRINTF(5)("field::%s\n", this->field->getCName());
 
 }
Index: /branches/proxy/src/lib/shell/shell_command.cc
===================================================================
--- /branches/proxy/src/lib/shell/shell_command.cc	(revision 9370)
+++ /branches/proxy/src/lib/shell/shell_command.cc	(revision 9371)
@@ -254,5 +254,5 @@
       {
         for (bo = objectList->begin(); bo != objectList->end(); bo++)
-          if ((*bo)->getName() != NULL && !nocaseCmp(objectDescriptor, (*bo)->getName(), objectDescriptor.size()))
+          if (!nocaseCmp(objectDescriptor, (*bo)->getName(), objectDescriptor.size()))
             boList->push_back(*bo);
       }
@@ -298,5 +298,5 @@
       for(std::vector<BaseObject*>::const_iterator bo = boList.begin(); bo != boList.end(); ++bo)
       {
-        PRINT(0)("Command '%s' on '%s::%s'\n", sc->getName(), (*bo)->getClassName(), (*bo)->getName());
+        PRINT(0)("Command '%s' on '%s::%s'\n", sc->getCName(), (*bo)->getClassCName(), (*bo)->getCName());
         (*sc->executor)((*bo), inputSplits.subSet(paramBegin));
       }
@@ -331,5 +331,5 @@
     if (this->alias != NULL)
     {
-      PRINTF(2)("not more than one Alias allowed for functions (%s::%s)\n", this->getName(), this->shellClass->getName());
+      PRINTF(2)("not more than one Alias allowed for functions (%s::%s)\n", this->getCName(), this->shellClass->getCName());
     }
     else
@@ -369,5 +369,5 @@
     {
       PRINTF(1)("Parameter %d not inside of valid ParameterCount %d of Command %s::%s\n",
-                parameter, this->executor->getParamCount(), this->getName(), this->shellClass->getName());
+                parameter, this->executor->getParamCount(), this->getCName(), this->shellClass->getCName());
     }
     else
@@ -385,5 +385,5 @@
   void ShellCommand::help() const
   {
-    PRINT(0)("%s ", this->getName());
+    PRINT(0)("%s ", this->getCName());
   }
 
Index: /branches/proxy/src/lib/shell/shell_command_class.cc
===================================================================
--- /branches/proxy/src/lib/shell/shell_command_class.cc	(revision 9370)
+++ /branches/proxy/src/lib/shell/shell_command_class.cc	(revision 9371)
@@ -199,5 +199,5 @@
         for (cmdIT = (*classIT)->commandList.begin(); cmdIT != (*classIT)->commandList.end(); cmdIT++)
         {
-          PRINT(0)("  command:'%s' : params:%d: ", (*cmdIT)->getName(), (*cmdIT)->executor->getParamCount());
+          PRINT(0)("  command:'%s' : params:%d: ", (*cmdIT)->getCName(), (*cmdIT)->executor->getParamCount());
           /// FIXME
           /*          for (unsigned int i = 0; i< elem->paramCount; i++)
Index: /branches/proxy/src/lib/shell/shell_completion.cc
===================================================================
--- /branches/proxy/src/lib/shell/shell_completion.cc	(revision 9370)
+++ /branches/proxy/src/lib/shell/shell_completion.cc	(revision 9371)
@@ -290,6 +290,5 @@
     for(bo = inputList.begin(); bo != inputList.end(); bo++)
     {
-      if ((*bo)->getName() != NULL &&
-          strlen((*bo)->getName()) >= searchLength &&
+      if ((*bo)->getName().size() >= searchLength &&
           !nocaseCmp((*bo)->getName(), completionBegin, searchLength))
       {
Index: /branches/proxy/src/lib/sound/ogg_player.cc
===================================================================
--- /branches/proxy/src/lib/sound/ogg_player.cc	(revision 9370)
+++ /branches/proxy/src/lib/sound/ogg_player.cc	(revision 9371)
@@ -481,5 +481,5 @@
     if (comment == NULL)
     {
-      PRINTF(2)("Retrieving Comment of %s failed\n", this->getName());
+      PRINTF(2)("Retrieving Comment of %s failed\n", this->getCName());
       return;
     }
Index: /branches/proxy/src/lib/util/loading/factory.cc
===================================================================
--- /branches/proxy/src/lib/util/loading/factory.cc	(revision 9370)
+++ /branches/proxy/src/lib/util/loading/factory.cc	(revision 9371)
@@ -117,5 +117,5 @@
   if (factory != Factory::factoryList->end())
   {
-    PRINTF(2)("Create a new Object of type %s\n", (*factory)->getName());
+    PRINTF(2)("Create a new Object of type %s\n", (*factory)->getCName());
     return (*factory)->fabricateObject(root);
   }
@@ -145,5 +145,5 @@
   if (factory != Factory::factoryList->end())
   {
-    PRINTF(4)("Create a new Object of type %s\n", (*factory)->getName());
+    PRINTF(4)("Create a new Object of type %s\n", (*factory)->getCName());
     return (*factory)->fabricateObject(NULL);
   }
@@ -173,5 +173,5 @@
   if (factory != Factory::factoryList->end())
   {
-    PRINTF(4)("Create a new Object of type %s\n", (*factory)->getName());
+    PRINTF(4)("Create a new Object of type %s\n", (*factory)->getCName());
     return (*factory)->fabricateObject(NULL);
   }
Index: /branches/proxy/src/lib/util/loading/load_param.cc
===================================================================
--- /branches/proxy/src/lib/util/loading/load_param.cc	(revision 9370)
+++ /branches/proxy/src/lib/util/loading/load_param.cc	(revision 9371)
@@ -65,5 +65,5 @@
           ((this->executor->getType() & Executor_NoLoadString) == Executor_NoLoadString)))
     {
-      PRINTF(4)("Loading value '%s' with Parameters '%s' onto: %s::%s\n", this->paramName.c_str(), loadString.c_str(), this->object->getClassName(), this->object->getName());
+      PRINTF(4)("Loading value '%s' with Parameters '%s' onto: %s::%s\n", this->paramName.c_str(), loadString.c_str(), this->object->getClassCName(), this->object->getCName());
       (*this->executor)(this->object, SubString(loadString, ",", SubString::WhiteSpaces, false, '\\'));
     }
Index: /branches/proxy/src/story_entities/game_world_data.cc
===================================================================
--- /branches/proxy/src/story_entities/game_world_data.cc	(revision 9370)
+++ /branches/proxy/src/story_entities/game_world_data.cc	(revision 9371)
@@ -212,5 +212,5 @@
       BaseObject* created = Factory::fabricate(element);
       if( created != NULL )
-        PRINTF(4)("Created a %s: %s\n", created->getClassName(), created->getName());
+        PRINTF(4)("Created a %s: %s\n", created->getClassCName(), created->getCName());
 
       //todo do this more elegant
Index: /branches/proxy/src/story_entities/multi_player_world_data.cc
===================================================================
--- /branches/proxy/src/story_entities/multi_player_world_data.cc	(revision 9370)
+++ /branches/proxy/src/story_entities/multi_player_world_data.cc	(revision 9371)
@@ -129,5 +129,5 @@
         BaseObject* created = Factory::fabricate(element);
         if( created != NULL )
-          printf("Created a Spawning Point %s: %s\n", created->getClassName(), created->getName());
+          printf("Created a Spawning Point %s: %s\n", created->getClassCName(), created->getCName());
 
         element = element->NextSiblingElement();
@@ -155,5 +155,5 @@
         BaseObject* created = Factory::fabricate(element);
         if( created != NULL )
-          PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassName(), created->getName(), created->getLeafClassID(), element->Value());
+          PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassCName(), created->getCName(), created->getLeafClassID(), element->Value());
         else
           PRINTF(1)("NetworkWorld: could not create this entity\n");
@@ -186,5 +186,5 @@
 
           if( created != NULL )
-            PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassName(), created->getName(), created->getLeafClassID(), element->Value());
+            PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassCName(), created->getCName(), created->getLeafClassID(), element->Value());
           else
             PRINTF(1)("NetworkWorld: could not create this entity\n");
@@ -323,5 +323,5 @@
   {
     Playable* p = dynamic_cast<Playable*>(*entity);
-    PRINTF(0)("Got a playable, class: %s, name: %s, uid: %i\n", (*entity)->getClassName(), (*entity)->getName(), p->getUniqueID());
+    PRINTF(0)("Got a playable, class: %s, name: %s, uid: %i\n", (*entity)->getClassCName(), (*entity)->getCName(), p->getUniqueID());
   }
 
@@ -346,5 +346,5 @@
 
   PNode* cam = State::getCameraTargetNode();
-  PRINT(0)("Camera has target - class: %s, name: %s, uid: %i\n", cam->getClassName(), cam->getName(), cam->getUniqueID());
+  PRINT(0)("Camera has target - class: %s, name: %s, uid: %i\n", cam->getClassCName(), cam->getCName(), cam->getUniqueID());
 
   PRINT(0)("==================================================\n");
Index: /branches/proxy/src/util/fast_factory.cc
===================================================================
--- /branches/proxy/src/util/fast_factory.cc	(revision 9370)
+++ /branches/proxy/src/util/fast_factory.cc	(revision 9371)
@@ -79,5 +79,5 @@
 void FastFactory::registerFastFactory(FastFactory* fastFactory)
 {
-  PRINTF(4)("Registered FastFactory for '%s'\n", fastFactory->getName());
+  PRINTF(4)("Registered FastFactory for '%s'\n", fastFactory->getCName());
 
   if( FastFactory::first == NULL)
@@ -128,5 +128,5 @@
     while (tmpFac != NULL)
     {
-      if (fastFactoryName == tmpFac->getName())
+      if (fastFactoryName == tmpFac->getCName())
         return tmpFac;
       tmpFac = tmpFac->next;
@@ -145,5 +145,5 @@
   while (tmpFac != NULL)
   {
-    PRINTF(4)("DELETEING ALL OF %s\n",tmpFac->getName());
+    PRINTF(4)("DELETEING ALL OF %s\n",tmpFac->getCName());
     tmpFac->flush(hardFLUSH);
     tmpFac = tmpFac->next;
@@ -202,10 +202,10 @@
 BaseObject* FastFactory::resurrect()
 {
-  PRINTF(4)("Resurecting Object of type %s\n", this->getName());
+  PRINTF(4)("Resurecting Object of type %s\n", this->getCName());
   if (unlikely(this->deadList == NULL))
   {
     PRINTF(3)("The deadList of Class %s is empty, this may be either because it has not been filled yet, or the cache is to small.\n" \
         "  Developer: try increasing the count with FastFactory::prepare(contHigher than actual)\n" \
-        "    Fabricating a new %s\n", this->getName(), this->getName());
+        "    Fabricating a new %s\n", this->getCName(), this->getCName());
     this->fabricate();
     return this->resurrect();
Index: /branches/proxy/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- /branches/proxy/src/util/multiplayer_team_deathmatch.cc	(revision 9370)
+++ /branches/proxy/src/util/multiplayer_team_deathmatch.cc	(revision 9371)
@@ -723,5 +723,5 @@
   int victimUserId = victim->getOwner();
 
-  PRINTF(0)("%d %d %x %x %s %s\n", killerUserId, victimUserId, killer, victim, killer->getClassName(), victim->getClassName());
+  PRINTF(0)("%d %d %x %x %s %s\n", killerUserId, victimUserId, killer, victim, killer->getClassCName(), victim->getClassCName());
 
   PlayerStats & victimStats = *PlayerStats::getStats( victimUserId );
Index: /branches/proxy/src/util/object_manager.cc
===================================================================
--- /branches/proxy/src/util/object_manager.cc	(revision 9370)
+++ /branches/proxy/src/util/object_manager.cc	(revision 9371)
@@ -140,5 +140,5 @@
       for (entity = this->objectLists[omList].begin(); entity != this->objectLists[omList].end(); entity++)
       {
-        PRINT(0)(" | %s::%s\n",(*entity)->getClassName(), (*entity)->getName());
+        PRINT(0)(" | %s::%s\n",(*entity)->getClassCName(), (*entity)->getCName());
       }
     }
Index: /branches/proxy/src/world_entities/creatures/fps_player.cc
===================================================================
--- /branches/proxy/src/world_entities/creatures/fps_player.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/creatures/fps_player.cc	(revision 9371)
@@ -299,5 +299,5 @@
       if ( victim )
       {
-        PRINTF(0)("FIRE: hit %s\n", victim->getClassName());
+        PRINTF(0)("FIRE: hit %s\n", victim->getClassCName());
         victim->hit( 20, this );
       }
Index: /branches/proxy/src/world_entities/playable.cc
===================================================================
--- /branches/proxy/src/world_entities/playable.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/playable.cc	(revision 9371)
@@ -148,5 +148,5 @@
     if (weapon != NULL)
       PRINTF(2)("Unable to add Weapon (%s::%s) to %s::%s\n",
-                weapon->getClassName(), weapon->getName(), this->getClassName(), this->getName());
+                weapon->getClassCName(), weapon->getCName(), this->getClassCName(), this->getCName());
     else
       PRINTF(2)("No weapon defined\n");
Index: /branches/proxy/src/world_entities/power_ups/power_up.cc
===================================================================
--- /branches/proxy/src/world_entities/power_ups/power_up.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/power_ups/power_up.cc	(revision 9371)
@@ -85,9 +85,9 @@
     if (this->pickupBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", pickupSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", pickupSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to pickup %s.\n.", pickupSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to pickup %s.\n.", pickupSound.c_str(), this->getCName());
     }
   }
@@ -106,9 +106,9 @@
     if (this->respawnBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", respawnSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", respawnSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to respawn %s.\n.", respawnSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to respawn %s.\n.", respawnSound.c_str(), this->getCName());
     }
   }
Index: /branches/proxy/src/world_entities/projectiles/projectile.cc
===================================================================
--- /branches/proxy/src/world_entities/projectiles/projectile.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/projectiles/projectile.cc	(revision 9371)
@@ -75,9 +75,9 @@
     if (this->explosionBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", explosionSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", explosionSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to explosion %s.\n.", explosionSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to explosion %s.\n.", explosionSound.c_str(), this->getCName());
     }
   }
@@ -97,9 +97,9 @@
     if (this->engineBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", engineSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", engineSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to engine %s.\n.", engineSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to engine %s.\n.", engineSound.c_str(), this->getCName());
     }
   }
Index: /branches/proxy/src/world_entities/script_trigger.cc
===================================================================
--- /branches/proxy/src/world_entities/script_trigger.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/script_trigger.cc	(revision 9371)
@@ -63,22 +63,22 @@
   addToScript = false;
   this->activeOnCreation = false;
-  
+
   if(root != NULL)
   {
-    
+
     loadParams(root);
-  
+
     if(addToScript && scriptIsOk)
     {
       script->addObject( "ScriptTrigger", this->getName());
     }
-  
-  }
-  
+
+  }
+
 }
 
 /**
  * Deletes the ScriptTrigger.
- * 
+ *
  */
 ScriptTrigger::~ScriptTrigger()
@@ -147,5 +147,5 @@
   else
   {
-    PRINTF(2)("Target %s for %s::%s does not Exist\n", target.c_str(), this->getClassName(), this->getName());
+    PRINTF(2)("Target %s for %s::%s does not Exist\n", target.c_str(), this->getClassCName(), this->getCName());
   }
 }
@@ -153,5 +153,5 @@
 /**
  * Sets the parent of the trigger.
- * @param parent The parrent. 
+ * @param parent The parrent.
  */
 void ScriptTrigger::setTriggerParent(const std::string& parent)
@@ -166,5 +166,5 @@
   else
   {
-    PRINTF(2)("Parent %s for %s::%s does not Exist\n", parent.c_str(), this->getClassName(), this->getName());
+    PRINTF(2)("Parent %s for %s::%s does not Exist\n", parent.c_str(), this->getClassCName(), this->getCName());
   }
 }
@@ -179,5 +179,5 @@
      return;
    }
-   
+
   if(triggerRemains && scriptCalled)
   {
@@ -185,5 +185,5 @@
     return;
   }
-  
+
   if( !invert && this->distance(target) < radius)
   {
@@ -191,9 +191,9 @@
     scriptCalled = true;
     return;
-  
+
   }
   else if( invert && this->distance(target) > radius)
   {
-    executeAction(timestep); 
+    executeAction(timestep);
     scriptCalled = true;
     return;
@@ -207,5 +207,5 @@
 void ScriptTrigger::executeAction(float timestep)
 {
-  
+
   if(scriptIsOk)
   {
@@ -213,14 +213,14 @@
     if(!(script->selectFunction(this->functionName,returnCount)) )
       PRINT(1)("Error ScriptTrigger: Selection of %s in %s failed.\n",functionName.c_str(), script->getFileName().c_str());
-     
+
     script->pushParam( timestep, this->functionName);
-     
+
     if( !(script->executeFunction()) )
       PRINT(1)("Error ScriptTrigger: Execution of %s in %s failed.\n",functionName.c_str(), script->getFileName().c_str());
-     
+
     scriptFinished = script->getReturnedBool();
   }
-     
-     
+
+
 }
 
@@ -268,5 +268,5 @@
    float retf = script->getReturnedFloat();
    printf("main returned %f\n",retf);
-   
+
 
    printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
Index: /branches/proxy/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/proxy/src/world_entities/space_ships/space_ship.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/space_ships/space_ship.cc	(revision 9371)
@@ -319,5 +319,5 @@
     }
   }
-  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
 }
 
Index: /branches/proxy/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- /branches/proxy/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9371)
@@ -324,5 +324,5 @@
 
     default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassName());
+      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
   }
 }
@@ -474,5 +474,5 @@
 
     default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassName());
+      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
   }
 }
Index: /branches/proxy/src/world_entities/spawning_point.cc
===================================================================
--- /branches/proxy/src/world_entities/spawning_point.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/spawning_point.cc	(revision 9371)
@@ -123,5 +123,5 @@
     return;
 
-  PRINTF(0)("Spawningpoint spawns Entity (%s)\n", entity->getClassName());
+  PRINTF(0)("Spawningpoint spawns Entity (%s)\n", entity->getClassCName());
 
 
@@ -203,5 +203,5 @@
 void SpawningPoint::sendRespawnMessage( int uniqueId )
 {
-#warning this bye array is not been deleted according to valginrd
+#warning this byte array is not being deleted according to valginrd
   byte * buf = new byte[2*INTSIZE];
 
Index: /branches/proxy/src/world_entities/weapons/aiming_system.cc
===================================================================
--- /branches/proxy/src/world_entities/weapons/aiming_system.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/weapons/aiming_system.cc	(revision 9371)
@@ -101,5 +101,5 @@
   }
 
-  PRINTF(0)("entity: %s\n", nearestEntity->getClassName());
+  PRINTF(0)("entity: %s\n", nearestEntity->getClassCName());
     return nearestEntity;
 }
Index: /branches/proxy/src/world_entities/weapons/weapon.cc
===================================================================
--- /branches/proxy/src/world_entities/weapons/weapon.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/weapons/weapon.cc	(revision 9371)
@@ -199,5 +199,5 @@
   else
   {
-    PRINTF(1)("Projectile %s does not exist for weapon %s\n", projectile.c_str(), this->getName());
+    PRINTF(1)("Projectile %s does not exist for weapon %s\n", projectile.c_str(), this->getCName());
   }
 }
@@ -213,5 +213,5 @@
     projectileFactory->prepare(count);
   else
-    PRINTF(2)("unable to create %d projectile for Weapon %s (%s)\n", count, this->getName(), this->getClassName());
+    PRINTF(2)("unable to create %d projectile for Weapon %s::%s\n", count, this->getClassCName(), this->getCName());
 }
 
@@ -234,5 +234,5 @@
   else
   {
-    PRINTF(2)("No projectile defined for Weapon %s(%s) can't return any\n", this->getName(), this->getClassName());
+    PRINTF(2)("No projectile defined for Weapon %s(%s) can't return any\n", this->getCName(), this->getClassCName());
     return NULL;
   }
@@ -442,5 +442,5 @@
     this->updateWidgets();
     // activate
-    PRINTF(4)("Activating the Weapon %s\n", this->getName());
+    PRINTF(4)("Activating the Weapon %s\n", this->getCName());
     this->activate();
     // setting up for next action
@@ -458,5 +458,5 @@
   //  if (this->currentState != WS_INACTIVE)
   {
-    PRINTF(4)("Deactivating the Weapon %s\n", this->getName());
+    PRINTF(4)("Deactivating the Weapon %s\n", this->getCName());
     // play Sound
     if (this->soundBuffers[WA_DEACTIVATE] != NULL)
@@ -527,5 +527,5 @@
 bool Weapon::reloadW()
 {
-  PRINTF(4)("Reloading Weapon %s\n", this->getName());
+  PRINTF(4)("Reloading Weapon %s\n", this->getCName());
   if (this->ammoContainer.get() != NULL &&
       unlikely(this->energy + this->ammoContainer->getStoredEnergy() < this->minCharge))
@@ -632,5 +632,5 @@
 void Weapon::debug() const
 {
-  PRINT(0)("Weapon-Debug %s, state: %s (duration: %fs), nextAction: %s\n", this->getName(), Weapon::stateToChar(this->currentState), this->stateDuration, Weapon::actionToChar(requestedAction));
+  PRINT(0)("Weapon-Debug %s, state: %s (duration: %fs), nextAction: %s\n", this->getCName(), Weapon::stateToChar(this->currentState), this->stateDuration, Weapon::actionToChar(requestedAction));
   PRINT(0)("Energy: max: %f; current: %f; chargeMin: %f, chargeMax %f\n",
            this->energyMax, this->energy, this->minCharge, this->maxCharge);
Index: /branches/proxy/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /branches/proxy/src/world_entities/weapons/weapon_manager.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/weapons/weapon_manager.cc	(revision 9371)
@@ -83,8 +83,8 @@
     // NAMING
     char* tmpName;
-    if (this->getName())
-    {
-      tmpName = new char[strlen(this->getName()) + 10];
-      sprintf(tmpName, "%s_slot%d", this->getName(), i);
+    if (!this->getName().empty())
+    {
+      tmpName = new char[this->getName().size() + 10];
+      sprintf(tmpName, "%s_slot%d", this->getCName(), i);
     }
     else
@@ -265,5 +265,5 @@
   if (configID > 0 && slotID > 0 && this->configs[configID][slotID] != NULL)
   {
-    PRINTF(3)("Weapon-slot %d/%d of %s already poulated, remove weapon (%s::%s) first\n", configID, slotID, this->getName(), weapon->getClassName(), weapon->getName());
+    PRINTF(3)("Weapon-slot %d/%d of %s already poulated, remove weapon (%s::%s) first\n", configID, slotID, this->getCName(), weapon->getClassCName(), weapon->getCName());
     return false;
   }
@@ -302,5 +302,5 @@
     weapon->setDefaultTarget(this->crosshair);
   }
-  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassName(), weapon->getName(), configID, slotID);
+  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassCName(), weapon->getCName(), configID, slotID);
   return true;
 }
@@ -555,6 +555,6 @@
     {
       if (this->configs[i][j] != NULL)
-        PRINT(3)("Slot %d loaded a %s\n", j, this->configs[i][j]->getClassName());
-    }
-  }
-}
+        PRINT(3)("Slot %d loaded a %s\n", j, this->configs[i][j]->getClassCName());
+    }
+  }
+}
Index: /branches/proxy/src/world_entities/world_entity.cc
===================================================================
--- /branches/proxy/src/world_entities/world_entity.cc	(revision 9370)
+++ /branches/proxy/src/world_entities/world_entity.cc	(revision 9371)
@@ -414,5 +414,5 @@
 bool WorldEntity::registerCollision(WorldEntity* entityA, WorldEntity* entityB, BoundingVolume* bvA, BoundingVolume* bvB)
 {
-  PRINTF(5)("registering collision of type: %s vs %s\n", entityA->getClassName(), entityB->getClassName());
+  PRINTF(5)("registering collision of type: %s vs %s\n", entityA->getClassCName(), entityB->getClassCName());
   // is there any handler listening?
   if( !this->bReactive)
@@ -518,5 +518,5 @@
 void WorldEntity::collidesWithGround(const Vector& location)
 {
-  PRINTF(0)("BSP_GROUND: %s collides \n", this->getClassName() );
+  PRINTF(0)("BSP_GROUND: %s collides \n", this->getClassCName() );
 }
 
@@ -676,5 +676,5 @@
   if (this->health > this->healthMax)
   {
-    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassName(), this->getName());
+    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassCName(), this->getCName());
     this->health = this->healthMax;
   }
@@ -699,5 +699,5 @@
   }
   else
-    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassName(), this->getName());
+    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassCName(), this->getCName());
 }
 
@@ -745,5 +745,5 @@
   this->decreaseHealth(damage);
 
-  PRINTF(5)("Hit me: %s now only %f/%f health\n", this->getClassName(), this->getHealth(), this->getHealthMax());
+  PRINTF(5)("Hit me: %s::%s now only %f/%f health\n", this->getClassCName(), this->getCName(), this->getHealth(), this->getHealthMax());
 
   if( this->getHealth() > 0)
@@ -811,5 +811,5 @@
 void WorldEntity::debugEntity() const
 {
-  PRINT(0)("WorldEntity %s::%s  (DEBUG)\n", this->getClassName(), this->getName());
+  PRINT(0)("WorldEntity %s::%s  (DEBUG)\n", this->getClassCName(), this->getCName());
   this->debugNode();
   PRINT(0)("List: %s ; ModelCount %d - ", ObjectManager::OMListToString(this->objectListNumber) , this->models.size());
@@ -817,5 +817,5 @@
   {
     if (models[i] != NULL)
-      PRINT(0)(" : %d:%s", i, this->models[i]->getName());
+      PRINT(0)(" : %d:%s", i, this->models[i]->getCName());
   }
   PRINT(0)("\n");
